package com.philisense.www.service;


import java.util.List;
import java.util.Map;

public interface ProMenuAuthService extends BaseCRUDService{
    public List<Map<String, Object>> getAllMenuTreeByAuthID(Map<String, Object> map);

    public List<Map<String, Object>> getPageAuthByMenuTreeId(Map<String, Object> map);

    public int getCountAuthByMenuTreeId(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void deleteBatchByAuthID(Map<String, Object> vars);
}